#!/bin/sh

flashpath=/usr/local/packages/ExacqVision
sdpath=/var/spool/storage/SD_DISK
cd $sdpath

if [ -e exacq ]; then
  mkdir -p $flashpath/backup
  cp exacq/*.xml exacq/*.key $flashpath/backup
  [ "$1" == "check" ] && exit 0
  mkdir -p backup
  (cd exacq && mv edvr logs audit blob eventpi.db pospi.db ../backup/)
  rm -rf exacq
fi

tar jxf $flashpath/edvrserver.tar.bz2
cp $flashpath/backup/* exacq/
if [ -e backup ]; then
  mv backup/* exacq/
  rm -rf backup
fi
mkdir -p exacq/edvr

cd $flashpath
mkdir -p edvr
ln -s $sdpath/exacq/edvr edvr/0
